CentOS 安装CDH报缺少cyrus-sasl-gssapi、MySQL-python、mod_ssl、openssl-devel等包的错误
CentOS 安装CDH报缺少cyrus-sasl-gssapi、MySQL-python、mod_ssl、openssl-devel等包的错误
爱运动的小乌龟 发表于5个月前
CentOS 安装CDH报缺少cyrus-sasl-gssapi、MySQL-python、mod_ssl、openssl-devel等包的错误
  • 发表于 5个月前
  • 阅读 5
  • 收藏 0
  • 点赞 0
  • 评论 0

腾讯云 技术升级10大核心产品年终让利>>>   

摘要: CentOS 安装CDH集群

一、在由于之前公司cd系统环境都是ubuntu,但是目前要在云服务器上搭建cdh环境,经测试发现在云环境下的ubuntu系统中搭建cdh集群。集群很不稳定(可能由于云虚拟机自身的问题,因为服务器是第三方提供的),后来转用CentOS系统,集群就稳定很多,但是第一次在CentOS下搭建cdh,报了一些,经过几番查找解决了不少问题;下面是安装过程包缺少依赖包的问题解决:

第一:错误

第二:下载缺少的依赖包

首先要安装,yum的一个工具,yum-utils  :    yum install yum-utils

然后就可以使用使用yumdownloader  xxxx.rpm  下载需要的包了

第三:安装对应的包:

rpm -ivh cyrus-sasl-gssapi-2.1.23-15.el6_6.2.i686.rpm --force --nodeps

rpm -ivh cyrus-sasl-gssapi-2.1.23-15.el6_6.2.x86_64.rpm --force --nodeps

 

rpm -ivh redhat-lsb-4.0-7.el6.centos.i686.rpm --force --nodeps

rpm -ivh redhat-lsb-4.0-7.el6.centos.x86_64.rpm --force --nodeps

rpm -ivh redhat-lsb-core-4.0-7.el6.centos.x86_64.rpm --force --nodeps

 

rpm -ivh mod_ssl-2.2.15-60.el6.centos.4.x86_64.rpm --force --nodeps

 

rpm -ivh MySQL-python-1.2.3-0.3.c1.1.el6.x86_64.rpm --force --nodeps

 

rpm -ivh openssl-devel-1.0.1e-57.el6.i686.rpm --force --nodeps

rpm -ivh openssl-devel-1.0.1e-57.el6.x86_64.rpm --force --nodeps

 

rpm -ivh rpcbind-0.2.0-13.el6_9.1.x86_64.rpm --force --nodeps

 

rpm -ivh python-psycopg2-2.0.14-2.el6.x86_64.rpm --force --nodeps

共有 人打赏支持
粉丝 0
博文 92
码字总数 29856
×
爱运动的小乌龟
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: